Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 587286 - pa_stream_writable_size() failed: Connection terminated
pa_stream_writable_size() failed: Connection terminated
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
13
All Linux
low Severity high
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-29 10:22 EDT by DemetrisK
Modified: 2011-06-27 11:57 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 11:57:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
System log /var/log/messages file. (5.99 KB, text/plain)
2010-06-01 10:50 EDT, Nirmal Pathak
no flags Details
relevant messages log (14.33 KB, text/plain)
2010-06-15 17:31 EDT, pierpaolo.franco
no flags Details

  None (edit)
Description DemetrisK 2010-04-29 10:22:36 EDT
Description of problem:
Playing media over network shares results to PA failing with the message pa_stream_writable_size() failed: Connection terminated



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Connect to a share
2. Load a media file in Totem
3. 
  
Actual results:
Playback stops at some point, error message is shown.

Expected results:
Media should be played flawlessly.

Additional info:
Shares tested are Samba and sftp. Switching to Alsa allows flawless playback.
Comment 1 Nirmal Pathak 2010-05-29 05:22:25 EDT
I am facing same issue with locally stored media file.

Let me know if any outputs needs to be captured to fix this issue.
Comment 2 Nirmal Pathak 2010-06-01 10:49:08 EDT
Further testing revealed that this issue does not occur if you run 'totem' player as root on the system.

However, I encounter same issue when I run 'totem' as normal user and see following error on console.

--snip--
** Message: Error: pa_stream_writable_size() failed: Connection terminated
pulsesink.c(1388): gst_pulseringbuffer_commit (): /GstPlayBin2:play/GstPlaySink:playsink0/GstBin:abin/GstBin:audiosinkbin/GstGConfAudioSink:audio-sink/GstBin:bin2/GstAutoAudioSink:autoaudiosink1/GstPulseSink:autoaudiosink1-actual-sink-pulse
--snip--

Please also check attached logs which may give more information about this issue.

-- Nirmal Pathak.
Comment 3 Nirmal Pathak 2010-06-01 10:50:20 EDT
Created attachment 418670 [details]
System log /var/log/messages file.
Comment 4 Nirmal Pathak 2010-06-12 08:37:42 EDT
I have two sound cards on the system.
1) Audio device: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) High Definition Audio Controller (rev 03)
2) Multimedia audio controller: C-Media Electronics Inc CM8738 (rev 10)

The issue only occurs for C-media 8738 audio hardware.
Comment 5 pierpaolo.franco 2010-06-15 17:28:16 EDT
The bug appears somewhat randomly between video media files, at various seeks, but usually initially. I used to suppose it is due to ext4, as i never saw it on debian xfs/ext3, but don't know how to verify; and around i see some claims to swith SElinux to permissive and some that it is a pulseaudio bug (and a ticket is open on it i think).
Comment 6 pierpaolo.franco 2010-06-15 17:31:29 EDT
Created attachment 424305 [details]
relevant messages log

That is to me the relevant /var/log/messages output; it repeat identically on various attempt on the same file.
Comment 7 pierpaolo.franco 2010-06-15 17:33:00 EDT
actually if you skip upward the movie that became ok; however: very annoying.

here if i can help
Comment 8 Geoff King 2010-06-19 13:44:20 EDT
I also have this issue.  
I can trigger it using an ogg audio file (will attach if you want but its 2.3M in size).  I have several ogg audio files that trigger this and a video file.  Most (or all?) mp3s play fine.  

totem j_s_bach-g_minor_prelude.ogg 
** Message: Error: pa_stream_writable_size() failed: Connection terminated
pulsesink.c(1388): gst_pulseringbuffer_commit (): /GstPlayBin2:play/GstPlaySink:playsink0/GstBin:abin/GstBin:audiosinkbin/GstGConfAudioSink:audio-sink/GstBin:bin3/GstAutoAudioSink:autoaudiosink2/GstPulseSink:autoaudiosink2-actual-sink-pulse

Pulseaudio is disconnected when this happens.
Comment 9 Geoff King 2010-06-19 13:58:08 EDT
I can also note that rhythmbox is affected as well. 
Also are several bug reports that appear related to this..

Bugzilla:
https://bugzilla.redhat.com/show_bug.cgi?id=583785
Ubuntu:
https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/532586
Comment 10 Scott Dowdle 2010-11-21 11:19:22 EST
I get this error on a variety of video files with totem including webm... on Fedora 14.  It has basically made Totem (the default "Movie Player") unusable for video.  Totem seems to play audio (I have mostly .ogg files and some .mp3) just fine.
Comment 11 Bug Zapper 2011-06-02 10:43:57 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2011-06-27 11:57:25 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.